@import 'node_modules/normalize.css/normalize';


*,
*::before,
*::after {
    box-sizing: border-box;
}

html {
    height: 100%;
}

body {
    min-height: 100%;
    color: $primary;
    font-weight: 500;
    background-color: $white;
    font-family: $font-family-primary;
    font-size: size-rel(19px);
    line-height: $line-height-base;
}

.container {
    padding-left: size-rel(13px) !important;
    padding-right: size-rel(13px) !important;
}

.container-medium {
    margin: 0 auto;
    max-width: 915px;
}

.container-small {
    margin: 0 auto;
    max-width: 683px;
}

// Typography
//

h1, h2, h3, h4, h5, h6,
.h1, .h2, .h3, .h4, .h5, .h6 {
    margin: 0;
    padding: 0;
    color: $secondary;
    font-weight: 700;
    line-height: 1.2;
    font-family: $font-family-secondary;
}

h1, .h1 {
    font-weight: 900;
    font-size: size-rel(28px);
    line-height: size-rel(34px);
    margin-bottom: size-rel(24px);

    @include media-breakpoint-up(md) {
        font-size: size-rel(48px);
        line-height: size-rel(56px);
    }

    @include media-breakpoint-up(xl) {
        font-size: size-rel(63px);
        line-height: size-rel(68px);
    }
}

h2, .h2 {
    font-size: size-rel(28px);
    line-height: size-rel(34px);
    margin-bottom: size-rel(36px);

    @include media-breakpoint-up(md) {
        font-size: size-rel(48px);
        line-height: size-rel(56px);
    }

    @include media-breakpoint-up(xl) {
        font-size: size-rel(63px);
        line-height: size-rel(68px);
    }
}

h3, .h3 {
    font-size: size-rel(28px);
    line-height: size-rel(31px);
    margin-bottom: size-rel(36px);

    @include media-breakpoint-up(md) {
        font-size: size-rel(32px);
        line-height: size-rel(34px);
    }

    @include media-breakpoint-up(xl) {
        font-size: size-rel(40px);
        line-height: size-rel(44px);
    }
}

h4, .h4 {
    font-size: size-rel(26px);
    line-height: size-rel(28px);
    margin-bottom: size-rel(24px);

    @include media-breakpoint-up(md) {
        font-size: size-rel(28px);
        line-height: size-rel(34px);
    }

    @include media-breakpoint-up(xl) {
        font-size: size-rel(32px);
        line-height: size-rel(36px);
    }
}

h5, .h5 {
    font-size: size-rel(24px);
    line-height: size-rel(26px);
    margin-bottom: size-rel(24px);
}

h6, .h6 {
    font-size: size-rel(19px);
    line-height: size-rel(27px);
    margin-bottom: size-rel(24px);
}

a {
    color: $green;
    text-decoration: none;

    &:hover {
        color: $green;
        text-decoration: underline;
    }
}

p {
    margin-top: 0;
    margin-bottom: size-rel(24px);
}

// Lists

ol,
ul,
dl {
    margin-top: 0;
    margin-bottom: $paragraph-margin-bottom;
}

ol ol,
ul ul,
ol ul,
ul ol {
    margin-bottom: 0;
}

.list-num {
    padding: 0;
    list-style: none;
    counter-reset: li;
    margin: 0 0 size-rel(24px) 0;


    li {
        position: relative;
        padding-left: size-rel(48px);

        &:not(:last-child) {
            margin-bottom: size-rel(10px);
        }

        &:before {
            top: 0;
            left: size-rel(24px);
            position: absolute;
            content:counter(li)'.';
            counter-increment:li;
        }
    }
}

.list-base {
    padding: 0;
    list-style: none;
    margin: 0 0 size-rel(24px) 0;

    li {
        position: relative;
        padding-left: size-rel(48px);

        &:before {
            content: '';
            top: size-rel(11px);
            left: size-rel(24px);
            border-radius: 50%;
            position: absolute;
            background: $primary;
            width: size-rel(6px);
            height: size-rel(6px);
        }
    }
}


blockquote {
    border-radius: 46px;
    margin: 0 0 size-rel(56px) 0;
    padding: size-rel(36px) size-rel(24px);
    background: $gray-200;


    @include media-breakpoint-up(lg) {
        padding: size-rel(48px) size-rel(36px);
    }

    @include media-breakpoint-up(xl) {
        padding: size-rel(56px);
    }
}


.subtitle {
    font-weight: 500;
    font-size: size-rel(20px);
    line-height: size-rel(26px);

    @include media-breakpoint-up(lg) {
        font-size: size-rel(28px);
        line-height: size-rel(36px);
    }
}

.divider {
    margin-top: size-rel(56px);
    margin-bottom: size-rel(56px);
    border-bottom: 1px solid #D2D2D2;
}

